Package org.picocontainer.references

# Class ThreadLocalReference<T>

java.lang.Object
java.lang.ThreadLocal<T>
org.picocontainer.references.ThreadLocalReference<T>

All Implemented Interfaces:
  `Serializable`, `ObjectReference<T>`

public class ThreadLocalReference<T> extends ThreadLocal<T> implements ObjectReference<T>, Serializable
Gets and sets references on Thread Local

Author:
  Paul Hammant
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ThreadLocalReference()`

## Method Summary

### Methods inherited from class java.lang.ThreadLocal

`get, initialValue, remove, set, withInitial`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.picocontainer.ObjectReference

`get, set`

## Constructor Details

### ThreadLocalReference

public ThreadLocalReference()